#!/bin/bash

rm -f ping.res
hn=`hostname`
psql -Uplesk -h${hn} -At -c "select host_id  from hosts where pleskd_id is not NULL and is_physically_destroyed='n' order by host_id ;" > hosts4ping
cat > ping.hcl <<EOF
<!DOCTYPE HCL PUBLIC "HCL" "HCL 1.0">
<HCL>
  <DECLARE/>
  <PERFORM>
  </PERFORM>
</HCL>
EOF

for fn in `cat hosts4ping` ; do
        echo -n "pinging host $fn:" ; /usr/local/pem/bin/pleskd_ctl -f /usr/local/pem/etc/pleskd.props processHCL ping.hcl $fn 2>>ping.res;
        ping_res=$?;
        if [ $ping_res -eq 0 ]; then
                echo -e " \e[00;32mSUCCESS\e[00m"
        else
                echo -e " \e[00;31mFAILED\e[00m"
        fi
done